Skip to main content
GET
/
workers
/
{id}
/
reimbursements
/
{reimbursement_id}
Get Worker Reimbursement
curl --request GET \
  --url https://api.roostedhr.com/api/1_12/workers/{id}/reimbursements/{reimbursement_id} \
  --header 'X-API-KEY: <api-key>'
{
  "id": "5EJ5U",
  "personnel_id": "3158",
  "events_roles_filled_id": null,
  "reimbursement_date": "2026-03-17",
  "amount": "11.00",
  "picture_location": null,
  "comments": "",
  "manager_id": "3158",
  "status": "0",
  "deleted": "0",
  "insert_date": "2026-03-19 22:46:34",
  "edit_date": "2026-03-19 22:46:51",
  "action_date": "2026-03-19 22:46:34",
  "delete_date": null,
  "source": "Admin",
  "mileage": "0",
  "kilometers": "0",
  "reimbursements_types_id": null,
  "manager_name": "Chris Davis",
  "name": null,
  "prefix": null,
  "suffix": null,
  "export_value": null,
  "picture_required": null,
  "picture_required_for_admin": null,
  "insert_date_nice": "Thursday March 19th",
  "reimbursement_date_nice": "Tuesday March 17th",
  "edit_date_nice": "Thursday March 19th",
  "action_date_nice": "Thursday March 19th"
}

Documentation Index

Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Worker ID

reimbursement_id
string
required

Reimbursement ID

Response

OK

A reimbursement record for a worker, including type details and processing status.

id
string

Reimbursement ID.

Example:

"5EJ5U"

personnel_id
string

Worker ID.

Example:

"3158"

events_roles_filled_id
string | null

Associated shift assignment ID.

Example:

null

reimbursement_date
string

Date of the reimbursement.

Example:

"2026-03-17"

amount
string

Reimbursement amount.

Example:

"11.00"

picture_location
string | null

URL of the attached receipt image.

Example:

null

comments
string

Reimbursement comments.

Example:

""

manager_id
string

ID of the manager who processed the reimbursement.

Example:

"3158"

status
string

Reimbursement status. 0 = pending, 2 = approved, 86 = rejected.

Example:

"0"

deleted
string

Whether the reimbursement is deleted. 0 = active, 1 = deleted.

Example:

"0"

insert_date
string

Creation datetime.

Example:

"2026-03-19 22:46:34"

edit_date
string

Last modification datetime.

Example:

"2026-03-19 22:46:51"

action_date
string | null

Datetime when the reimbursement was approved or rejected.

Example:

"2026-03-19 22:46:34"

delete_date
string | null

Deletion datetime.

Example:

null

source
string

Source of the reimbursement submission.

Example:

"Admin"

mileage
string

Whether this is a mileage reimbursement. 0 = no, 1 = yes.

Example:

"0"

kilometers
string

Whether mileage is tracked in kilometers. 0 = no, 1 = yes.

Example:

"0"

reimbursements_types_id
integer | null

ID of the reimbursement type, if assigned.

Example:

null

manager_name
string

Full name of the processing manager.

Example:

"Chris Davis"

name
string | null

Reimbursement type name.

Example:

null

prefix
string | null

Reimbursement type display prefix.

Example:

null

suffix
string | null

Reimbursement type display suffix.

Example:

null

export_value
string | null

Reimbursement type export value for payroll integration.

Example:

null

picture_required
integer | null

Whether a receipt photo is required for this type (worker).

Example:

null

picture_required_for_admin
integer | null

Whether a receipt photo is required for this type (admin).

Example:

null

insert_date_nice
string

Human-readable creation date.

Example:

"Thursday March 19th"

reimbursement_date_nice
string

Human-readable reimbursement date.

Example:

"Tuesday March 17th"

edit_date_nice
string

Human-readable last modification date.

Example:

"Thursday March 19th"

action_date_nice
string | null

Human-readable approval/rejection date.

Example:

"Thursday March 19th"